WordPress 3.1.1 – Recommended Security Update

Popular self-hosted blogging platform WordPress received an update that brings it to version 3.1.1. 

This version contains several important security fixes including two relating to the media uploader, an XSS flaw, and one that caused a PHP crash in certain conditions when handling “devilishly devised links in comments.”

Keep in mind that failing to upgrade may leave your blog vulnerable to attacks. Current WordPress users should have already received notified about the update in their Dashboard. If not, or if you aren’t a user just yet, you can download WordPress 3.1.1 from the official website.

Alongside the security patches come performance improvements, fixes for taxonomy and some permalinks, as well as various things that have been causing plugin compatibility issues.

Krissy

A thirty-something code ninja + web diva. Former New Yorker who's passionate about web development, HTML/CSS, beautifying things and marketing.

More from this author